com.threerings.whirled.spot.server

## Class SpotSceneMoveHandler

- java.lang.Object
- - com.threerings.whirled.server.AbstractSceneMoveHandler
  - - com.threerings.whirled.server.SceneMoveHandler
    - - com.threerings.whirled.spot.server.SpotSceneMoveHandler

All Implemented Interfaces:
  SceneRegistry.ResolutionListener

    public class SpotSceneMoveHandler
    extends SceneMoveHandler

Moves a player between scenes, accounting for their exit and entry via portals.

### Constructor Summary

Constructors
Constructor and Description
`SpotSceneMoveHandler(com.threerings.crowd.server.LocationManager locman, SpotSceneManager srcmgr, com.threerings.crowd.data.BodyObject body, int sceneVer, Portal dest, SceneService.SceneMoveListener listener)`

### Method Summary

### Methods inherited from class com.threerings.whirled.server.AbstractSceneMoveHandler

`sceneFailedToResolve, sceneWasResolved`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpotSceneMoveHandler

    public SpotSceneMoveHandler(com.threerings.crowd.server.LocationManager locman,
                                SpotSceneManager srcmgr,
                                com.threerings.crowd.data.BodyObject body,
                                int sceneVer,
                                Portal dest,
                                SceneService.SceneMoveListener listener)